# SPDX-License-Identifier: (GPL-2.0-only OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/display/connector/dp-connector.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: DisplayPort Connector

maintainers:
  - Tomi Valkeinen <tomi.valkeinen@ti.com>

properties:
  compatible:
    const: dp-connector

  label: true

  type:
    enum:
      - full-size
      - mini

  hpd-gpios:
    description: A GPIO line connected to HPD
    maxItems: 1

  dp-pwr-supply:
    description: Power supply for the DP_PWR pin

  port:
    $ref: /schemas/graph.yaml#/properties/port
    description: Connection to controller providing DP signals

  ports:
    $ref: /schemas/graph.yaml#/properties/ports
    description: OF graph representation of signales routed to DP connector

    properties:
      port@0:
        $ref: /schemas/graph.yaml#/properties/port
        description: Connection to controller providing DP signals

      port@1:
        $ref: /schemas/graph.yaml#/properties/port
        description: Connection to controller providing AUX signals

    required:
      - port@0
      - port@1

required:
  - compatible
  - type

oneOf:
  - required:
      - port
  - required:
      - ports

additionalProperties: false

examples:
  - |
    connector {
        compatible = "dp-connector";
        label = "dp0";
        type = "full-size";

        port {
            dp_connector_in: endpoint {
                remote-endpoint = <&dp_out>;
            };
        };
    };

  - |
    /* DP connecttor being driven by the USB+DP combo PHY */
    connector {
        compatible = "dp-connector";
        label = "dp0";
        type = "full-size";

        ports {
            #address-cells = <1>;
            #size-cells = <0>;

            port@0 {
                reg = <0>;

                endpoint {
                    remote-endpoint = <&phy_ss_out>;
                };
            };

            port@1 {
                reg = <1>;

                endpoint {
                    remote-endpoint = <&phy_sbu_out>;
                };
            };
        };
    };
...
